summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJonathan Bauer2019-11-29 17:47:05 +0100
committerJonathan Bauer2019-11-29 17:47:05 +0100
commitc9f281c079970a870cd8fc3a46957c36269f37b3 (patch)
treea26814fe6621050f5f3caf873f7e53b957c85282
parent[dnbd3-rootfs] add missing 'stage4/' prefix (diff)
downloadsystemd-init-c9f281c079970a870cd8fc3a46957c36269f37b3.tar.gz
systemd-init-c9f281c079970a870cd8fc3a46957c36269f37b3.tar.xz
systemd-init-c9f281c079970a870cd8fc3a46957c36269f37b3.zip
[conf-tgz] use new variable name everywhere...
-rwxr-xr-xbuilder/modules.d/conf-tgz/hooks/unpack-config-tgz.sh10
1 files changed, 5 insertions, 5 deletions
diff --git a/builder/modules.d/conf-tgz/hooks/unpack-config-tgz.sh b/builder/modules.d/conf-tgz/hooks/unpack-config-tgz.sh
index 1516ed3e..27f5fd34 100755
--- a/builder/modules.d/conf-tgz/hooks/unpack-config-tgz.sh
+++ b/builder/modules.d/conf-tgz/hooks/unpack-config-tgz.sh
@@ -32,16 +32,16 @@ unpack_config_tgz() {
logging.warn "Ignoring missing SLX_LOCAL_CONFIGURATION in '/etc/config.tgz'."
else
tarcopy \
- "${temporary_extract_directory}/openslx-configs/${SLX_LOCAL_CONFIGURATION}" \
- "${temporary_extract_directory}"
+ "${extract_dir}/openslx-configs/${SLX_LOCAL_CONFIGURATION}" \
+ "${extract_dir}"
fi
fi
# always purge openslx-configs/
- rm -rf "${temporary_extract_directory}/openslx-configs"
+ rm -rf "${extract_dir}/openslx-configs"
# finally copy the rest into stage4
- if ! tarcopy "${temporary_extract_directory}" "$NEWROOT"; then
- warn "'tarcopy' from '$temporary_extract_directory' to '$NEWROOT' failed."
+ if ! tarcopy "${extract_dir}" "$NEWROOT"; then
+ warn "'tarcopy' from '$extract_dir' to '$NEWROOT' failed."
fi
}